Subject: Re: bug#13469: 24.2; emacs has a tiny frame, when I embed it in a kmail text field via xembed (--parent-id %w)

From: Arne Babenhauserheide <[email-masked]>
Date: Thu, 21 Mar 2013 21:23:51 +0100

Am Donnerstag, 21. März 2013, 19:36:27 schrieb Eli Zaretskii:
> > Date: Thu, 21 Mar 2013 11:57:23 +0100
> > From: "Arne Babenhauserheide (IMK)" <[email-masked]>
> > CC: "[email-masked]" <[email-masked]>, "[email-masked]"
> > 	<[email-masked]>
> > 
> > I just found a much easier way to reproduce it:
> > 
> > Run emacs with --parent-id <random number>
> 
> So it looks like something specific to using the XEmbed protocol, I
> guess.

That’s what I think, too.

> This looks like GTK instructed us to resize ourselves to 200x75
> pixels, which was quite reasonably translated to 21x5 characters.
> Sounds like a good time for some GTK expert (Jan?) to chime in and
> help us out.

That would be great!

Best wishes,
Arne